## tuxcmd-modules 0.6.50+dfsg

=== Makefile ===
SUBDIRS = zip unrar libarchive gvfs

all install clean shared static::
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  (cd $$subdir && $(MAKE) $$target) || exit 1; \
	done; \

modules: all

=== gnome_vfs/Makefile ===
# path definitions
DESTDIR = /usr
INSTALL=install -c
INSTALL_DATA = ${INSTALL} -m 644
LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`

# compiler options
CC = gcc
CFLAGS = -Wall -O2 -g 			\
	-D_GNU_SOURCE 			\
	-D_FILE_OFFSET_BITS=64		\
	-D_LARGEFILE_SOURCE		\
	-DG_DISABLE_DEPRECATED 	 	\
	-DGDK_DISABLE_DEPRECATED 	\
	-DGDK_PIXBUF_DISABLE_DEPRECATED \
	-DGTK_DISABLE_DEPRECATED


all shared static: gnome_vfs


gnome_vfs: gnome_vfs.c
	$(CC) -c gnome_vfs.c -I. -fPIC -I/usr/include $(CFLAGS) `pkg-config gnome-vfs-2.0 --cflags`
	$(CC) -shared -Wall -o libgnome_vfs.so gnome_vfs.o `pkg-config gnome-vfs-2.0 --libs`

install::
	$(INSTALL) ./libgnome_vfs.so $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd/

clean: 
	rm -f *.o *.d libgnome_vfs.so

=== gvfs/Makefile ===
# path definitions
DESTDIR = /usr
INSTALL=install -c
INSTALL_DATA = ${INSTALL} -m 644

# compiler options
CC = gcc
CPP = g++
CFLAGS =-I. -I/usr/include \
	-Wall -fPIC -O2 -g \
	-DG_DISABLE_DEPRECATED -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE


LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`

# VFS_COMMON_OBJECTS=strutils.o treepathutils.o treepath_vfs.o vfsutils.o
VFS_COMMON_OBJECTS=

VFS_OBJECTS=gvfs.o


.SUFFIXES: .c .cpp
.c.o:
	$(CC) $(CFLAGS) `pkg-config glib-2.0 gio-2.0 --cflags` -c $<
.cpp.o:
	$(CPP) $(CFLAGS) `pkg-config glib-2.0 gio-2.0 --cflags` -c $<


all shared static: libgvfs_plugin.so

libgvfs_plugin.so: $(VFS_COMMON_OBJECTS) $(VFS_OBJECTS)
	$(CPP) -shared -o libgvfs_plugin.so $(VFS_COMMON_OBJECTS) $(VFS_OBJECTS) $(CFLAGS) `pkg-config glib-2.0 gio-2.0 --libs`

strutils.o: strutils.c strutils.h
treepathutils.o: treepathutils.c treepathutils.h
vfsutils.o: vfsutils.c vfsutils.h
treepath_vfs.o: treepath_vfs.c treepath_vfs.h

install::
	$(INSTALL) ./libgvfs_plugin.so $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd/

clean: 
	rm -f *.o *.d *.gch libgvfs_plugin.so

=== libarchive/Makefile ===
# path definitions
DESTDIR = /usr
INSTALL=install -c
INSTALL_DATA = ${INSTALL} -m 644
DIR_COMMON=../common/
DIR_LIBARCHIVE=./libarchive-2.5.5

# compiler options
CC = gcc
CPP = g++
CFLAGS =-I. -I/usr/include -I$(DIR_COMMON) \
	-Wall -fPIC -O2 -g \
	-DG_DISABLE_DEPRECATED -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE \
	-D__VERBOSE_DEBUGx

LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`

VFS_COMMON_OBJECTS=strutils.o treepathutils.o treepath_vfs.o vfsutils.o

VFS_OBJECTS=libarchive.o


.SUFFIXES: .c .cpp
.c.o:
	$(CC) $(CFLAGS) `pkg-config glib-2.0 --cflags` -c $<
.cpp.o:
	$(CPP) $(CFLAGS) `pkg-config glib-2.0 --cflags` -c $<


all: static


shared: $(VFS_COMMON_OBJECTS) $(VFS_OBJECTS)
	$(CC) -shared -o libarchive_plugin.so $(VFS_COMMON_OBJECTS) $(VFS_OBJECTS) $(CFLAGS) `pkg-config glib-2.0 --libs` -larchive -lz -lbz2

static: CFLAGS += -I$(DIR_LIBARCHIVE)/libarchive
static: lib_libarchive_compile $(VFS_COMMON_OBJECTS) $(VFS_OBJECTS)
	$(CC) -shared -o libarchive_plugin.so $(VFS_COMMON_OBJECTS) $(VFS_OBJECTS) $(DIR_LIBARCHIVE)/.libs/libarchive.a $(CFLAGS) `pkg-config glib-2.0 --libs` -lz -lbz2

lib_libarchive_compile:
	@which uudecode > /dev/null || exit 1;
	@if test ! -f "$(DIR_LIBARCHIVE)/.libs/libarchive.a"; then \
	    echo "Building libarchive..."; echo; \
	    (cd "$(DIR_LIBARCHIVE)" && ./configure --enable-static --disable-shared --disable-bsdtar --disable-bsdcpio --with-pic && $(MAKE)) || exit 1; \
	    echo; echo "Libarchive build successful"; echo; \
	fi;


strutils.o: strutils.c strutils.h
treepathutils.o: treepathutils.c treepathutils.h
vfsutils.o: vfsutils.c vfsutils.h
treepath_vfs.o: treepath_vfs.c treepath_vfs.h

install::
	$(INSTALL) ./libarchive_plugin.so $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd/

clean: 
	rm -f *.o *.d *.gch libarchive_plugin.so
	@if test -e $(DIR_LIBARCHIVE)/Makefile; then \
	    (cd "$(DIR_LIBARCHIVE)" && $(MAKE) clean) \
	fi;

=== unrar/Makefile ===
# path definitions
DESTDIR = /usr
INSTALL=install -c
INSTALL_DATA = ${INSTALL} -m 644
DIR_UNRAR = unrar

# compiler options
CC = gcc
CPP = g++
CFLAGS =-I. -I/usr/include -I$(DIR_UNRAR) \
	-Wall -fPIC -O2 -g \
	-DG_DISABLE_DEPRECATED -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE \
	-D__VERBOSE_DEBUGx

LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`


UNRAR_LIB_OBJ=$(DIR_UNRAR)/filestr.o $(DIR_UNRAR)/scantree.o $(DIR_UNRAR)/dll.o

UNRAR_OBJECTS=$(DIR_UNRAR)/rar.o $(DIR_UNRAR)/strlist.o $(DIR_UNRAR)/strfn.o \
	$(DIR_UNRAR)/pathfn.o $(DIR_UNRAR)/int64.o $(DIR_UNRAR)/savepos.o \
	$(DIR_UNRAR)/global.o $(DIR_UNRAR)/file.o $(DIR_UNRAR)/filefn.o \
	$(DIR_UNRAR)/filcreat.o $(DIR_UNRAR)/archive.o $(DIR_UNRAR)/arcread.o \
	$(DIR_UNRAR)/unicode.o $(DIR_UNRAR)/system.o $(DIR_UNRAR)/isnt.o \
	$(DIR_UNRAR)/crypt.o $(DIR_UNRAR)/crc.o $(DIR_UNRAR)/rawread.o \
	$(DIR_UNRAR)/encname.o $(DIR_UNRAR)/resource.o $(DIR_UNRAR)/match.o \
	$(DIR_UNRAR)/timefn.o $(DIR_UNRAR)/rdwrfn.o $(DIR_UNRAR)/consio.o \
	$(DIR_UNRAR)/options.o $(DIR_UNRAR)/ulinks.o $(DIR_UNRAR)/errhnd.o \
	$(DIR_UNRAR)/rarvm.o $(DIR_UNRAR)/rijndael.o $(DIR_UNRAR)/getbits.o \
	$(DIR_UNRAR)/sha1.o $(DIR_UNRAR)/extinfo.o $(DIR_UNRAR)/extract.o \
	$(DIR_UNRAR)/volume.o $(DIR_UNRAR)/list.o $(DIR_UNRAR)/find.o \
	$(DIR_UNRAR)/unpack.o $(DIR_UNRAR)/cmddata.o


VFS_COMMON_OBJECTS=strutils.o treepathutils.o treepath_vfs.o vfsutils.o

VFS_OBJECTS=unrar.o rarlog.o


.SUFFIXES: .c .cpp
.c.o:
	$(CC) $(CFLAGS) `pkg-config glib-2.0 --cflags` -c $<
.cpp.o:
	$(CPP) $(CFLAGS) `pkg-config glib-2.0 --cflags` -c $<


all shared static: libunrar_plugin.so

libunrar_plugin.so: libunrar $(VFS_COMMON_OBJECTS) $(VFS_OBJECTS)
	$(CPP) -shared -o libunrar_plugin.so $(VFS_COMMON_OBJECTS) $(VFS_OBJECTS) $(UNRAR_OBJECTS) $(UNRAR_LIB_OBJ) $(CFLAGS) `pkg-config glib-2.0 --libs`

libunrar:
	( cd $(DIR_UNRAR) && make -f ../Makefile.unrar ) || exit 1

strutils.o: strutils.c strutils.h
treepathutils.o: treepathutils.c treepathutils.h
vfsutils.o: vfsutils.c vfsutils.h
treepath_vfs.o: treepath_vfs.c treepath_vfs.h
rarlog.o: rarlog.cpp rarlog.hpp

install::
	$(INSTALL) ./libunrar_plugin.so $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd/

clean: 
	( cd $(DIR_UNRAR) && make -f ../Makefile.unrar clean ) || exit 1
	rm -f *.o *.d *.gch libunrar_plugin.so

=== zip/Makefile ===
# path definitions
DESTDIR = /usr
INSTALL=install -c
INSTALL_DATA = ${INSTALL} -m 644
DIR_ZIPARCHIVE = ./ZipArchive/

# compiler options
CC = gcc
CPP = g++
CFLAGS =-I. -I$(DIR_ZIPARCHIVE) -I/usr/include \
	-Wall -fPIC -O2 -g \
	-DG_DISABLE_DEPRECATED -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE \
	-D__VERBOSE_DEBUGx

LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`


VFS_COMMON_OBJECTS=strutils.o treepathutils.o treepath_vfs.o vfsutils.o

VFS_C_OBJECTS=
VFS_CPP_OBJECTS=zip.o


.SUFFIXES: .c .cpp
.c.o:
	$(CPP) $(CFLAGS) `pkg-config glib-2.0 --cflags` -c $<
.cpp.o:
	$(CPP) $(CFLAGS) `pkg-config glib-2.0 --cflags` -c $<


all shared static: libzip_plugin.so

libzip_plugin.so: ziparchive $(VFS_COMMON_OBJECTS) $(VFS_CPP_OBJECTS) $(VFS_C_OBJECTS)
	$(CPP) -shared -o libzip_plugin.so zip.o $(VFS_COMMON_OBJECTS) $(DIR_ZIPARCHIVE)libziparch.a -lz -lm $(CFLAGS) `pkg-config glib-2.0 --libs`

ziparchive:
	( cd $(DIR_ZIPARCHIVE) && make -f ../Makefile.ziparch ) || exit 1

strutils.o: strutils.c strutils.h
treepathutils.o: treepathutils.c treepathutils.h
vfsutils.o: vfsutils.c vfsutils.h
treepath_vfs.o: treepath_vfs.c treepath_vfs.h


install::
	$(INSTALL) ./libzip_plugin.so $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd/

clean: 
	( cd $(DIR_ZIPARCHIVE) && make -f ../Makefile.ziparch clean ) || exit 1
	rm -f *.o *.d *.gch libzip_plugin.so

## tuxcmd-modules 0.6.70%2Bds

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SUBDIRS = zip unrar libarchive gvfs
+SUBDIRS = zip libarchive gvfs
 
 all install clean shared static::
 	target=`echo $@ | sed s/-recursive//`; \

## tuxcmd-modules 0.6.70%2bds

=== debian/changelog ===
tuxcmd-modules (0.6.70+ds-2build1) precise; urgency=low

  * No-change rebuild against libarchive12.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Mar 2012 11:04:11 +0100

tuxcmd-modules (0.6.70+ds-2) unstable; urgency=low

  * Email change: Salvatore Bonaccorso -> carnil@debian.org
  * Bump Debhelper compat level to 8.
    Adjust Build-Depends on debhelper to (>= 8).
  * Refresh debian/copyright file.
    Update format to revision 174 of DEP5 for machine-readable copyright
    file information.
    Adjust copyright years for debian/* packaging
  * Drop DM-Upload-Allowed field in debian/control
  * Bump Standards-Version to 3.9.2
  * Add Fix-FTBFS-because-removal-of-ARCHIVE_LIBRARY_VERSION.patch patch.
    Fix build failure because of removal of ARCHIVE_LIBRARY_VERSION. Use
    ARCHIVE_VERSION_STRING instead.
    Thanks to Andres Mejia <amejia@debian.org> for the bugreport and patch.
    (Closes: #653233)
  * Refresh debian/tuxcmd-modules.lintian-overrides.
    Adjust override string to new tag name 'embedded-library'.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Dec 2011 23:44:42 +0100

tuxcmd-modules (0.6.70+ds-1) unstable; urgency=low

  * New upstream release
  * debian/patches:
    - Drop 01_Makefile_without_unrar.patch since upstream split up the
      tuxcmd-modules package into tuxcmd-modules and tuxcmd-modules-unrar.
    - Refresh 02_do_not_install_in_lib64_for_amd64.patch patch. 
    - Drop separate_archiving_and_networking_mode.patch which is integrated
      upstream.
  * Update README.Debian to reflect the current content of tuxcmd-modules. 
  * Remove comments from debian/watch since upstream source location can be
    monitored again. 
  * debian/copyright: Refresh copyright years and add missing copyright stanza
    for gvfs/gvfs.c 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 17 Nov 2009 23:16:03 +0100

tuxcmd-modules (0.6.69+dfsg-2) unstable; urgency=low

  * Pick patch from upstream's git repository separating archiving and
    networking mode (Closes: #556253). 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 15 Nov 2009 14:26:32 +0100

tuxcmd-modules (0.6.69+dfsg-1) unstable; urgency=low

  * New upstream version
  * debian/copyright: Referesh and update to machine readable format
    specification as proposed by DEP5.
  * debian/control:
    - Update (Build-)Depends on tuxcmd to be versioned on (>= 0.6.69).
    - Bump Standards-Version to 3.8.3 (no changes). 
  * Refresh debian/patches and update patch headers. 
  * Convert to '3.0 (quilt)' source package format. Drop explicit build
    dependencies in debian/control and debian/rules.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 08 Nov 2009 22:03:01 +0100

tuxcmd-modules (0.6.50+dfsg-2) unstable; urgency=low

  * debian/control:
    - Add Build-Depends on tuxcmd to prevent build on architectures
      where tuxcmd is not present, and thus not having it uninstallabe
      on architectures where tuxcmd is not available. Thanks to
      Luk Claes (Closes: #540725).
    - Add DM-Upload-Allowed: yes field, since I'm a DM now.
    - Bump Standards-Version to 3.8.2 (no changes needed) 
  * Move patches from dpatch to quilt (adjust control file and 
    README.source accordingly).
  * debian/copyright:
    - Adjust copyright for debian/* packaging and use DEP5 proposal
      format.
    - Adjust refrence to GPL-2 text.
  * Use minimized debian/rules file using dh commands, add override
    targets and adjust Build-Depends on quilt and debhelper to required
    versions.
  * Update headers of debian/patches/* using DEP3 Patch Tagging Guidelines. 
  * Add lintian-overrides for embedded-zlib. 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 10 Aug 2009 15:49:25 +0200

tuxcmd-modules (0.6.50+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #508082)

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 15 Dec 2008 21:26:20 +0100

## tuxcmd-modules 0.6.70+ds

=== gvfs/Makefile ===
# path definitions
DESTDIR = /usr
INSTALL=install -c
INSTALL_DATA = ${INSTALL} -m 644

# compiler options
CC = gcc
CFLAGS =-I. -I/usr/include \
	-Wall -fPIC -O2 -g \
	-DG_DISABLE_DEPRECATED -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE


LIB_SUFFIX=`if test \`uname -m\` = x86_64 -o \`uname -m\` = ppc64; then echo 64; fi`

# VFS_COMMON_OBJECTS=strutils.o treepathutils.o treepath_vfs.o vfsutils.o
VFS_COMMON_OBJECTS=

VFS_OBJECTS=gvfs.o


.SUFFIXES: .c
.c.o:
	$(CC) $(CFLAGS) `pkg-config glib-2.0 gio-2.0 --cflags` -c $<


all shared static: libgvfs_plugin.so

libgvfs_plugin.so: $(VFS_COMMON_OBJECTS) $(VFS_OBJECTS)
	$(CC) -shared -o libgvfs_plugin.so $(VFS_COMMON_OBJECTS) $(VFS_OBJECTS) $(CFLAGS) `pkg-config glib-2.0 gio-2.0 --libs`

strutils.o: strutils.c strutils.h
treepathutils.o: treepathutils.c treepathutils.h
vfsutils.o: vfsutils.c vfsutils.h
treepath_vfs.o: treepath_vfs.c treepath_vfs.h

install::
	$(INSTALL) ./libgvfs_plugin.so $(DESTDIR)/lib$(LIB_SUFFIX)/tuxcmd/

clean: 
	rm -f *.o *.d *.gch libgvfs_plugin.so

=== libarchive/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	-DG_DISABLE_DEPRECATED -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE \
 	-D__VERBOSE_DEBUGx
 
-LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`
+LIB_SUFFIX=`if test \`uname -m\` = x86_64 -o \`uname -m\` = ppc64; then echo 64; fi`
 
 VFS_COMMON_OBJECTS=strutils.o treepathutils.o treepath_vfs.o vfsutils.o

=== zip/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	-DG_DISABLE_DEPRECATED -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE \
 	-D__VERBOSE_DEBUGx
 
-LIB_SUFFIX=`if test \`uname -m\` = x86_64; then echo 64; fi`
+LIB_SUFFIX=`if test \`uname -m\` = x86_64 -o \`uname -m\` = ppc64; then echo 64; fi`
 
 
 VFS_COMMON_OBJECTS=strutils.o treepathutils.o treepath_vfs.o vfsutils.o

=== zip/ZipArchive/Makefile ===
# Makefile for ZipArchive library
# Copyright (C) 2000 - 2007 Artpol Software - Tadeusz Dracz
# For conditions of distribution and use, see copyright notice in License.txt
# To install to /usr/lib and /usr/include, type:
#    make install
# to install to a different directory change prefix


#Define this variable to use the bzip2 library provided with the ZipArchive Library
#otherwise, the system's bzip2 library will be used
#INTERNAL_BZIP2 = 1

CC=g++

CCC=cc
#CCC=gcc
	

CFLAGS = -D ZIP_ARCHIVE_LNX 
#CFLAGS =

ifdef INTERNAL_BZIP2
CFLAGS += -D ZIP_ARCHIVE_BZIP2_INTERNAL
endif

ZIPARCHLIB = libziparch.a

ZIPPIELOCATION = ../Zippie/

ZLIBLOCATION = zlib/

ifdef INTERNAL_BZIP2
	BZIP2LOCATION = bzip2/
endif

INCLUDES = -I. -Izlib

ifdef INTERNAL_BZIP2
INCLUDES += -Ibzip2
endif

prefix = /usr
#prefix = 

libdir = ${prefix}/lib
includedir = ${prefix}/include
zipardir = $(includedir)/ziparchive
zlibdir = $(zipardir)/zlib

ifdef INTERNAL_BZIP2
	bzip2dir = $(zipardir)/bzip2
endif

AR=ar rc
RANLIB=ranlib

.SUFFIXES: .c .cpp
.c.o:
	$(CCC) $(CFLAGS) $(INCLUDES) -c -o $*.o $<
.cpp.o:
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

OBJS = $(ZLIBLOCATION)adler32.o $(ZLIBLOCATION)compress.o $(ZLIBLOCATION)crc32.o $(ZLIBLOCATION)uncompr.o $(ZLIBLOCATION)deflate.o $(ZLIBLOCATION)trees.o \
$(ZLIBLOCATION)zutil.o $(ZLIBLOCATION)inflate.o $(ZLIBLOCATION)infback.o $(ZLIBLOCATION)inftrees.o $(ZLIBLOCATION)inffast.o\
ZipArchive.o ZipAutoBuffer.o ZipCentralDir.o \
ZipCompressor.o BaseLibCompressor.o Bzip2Compressor.o DeflateCompressor.o ZipCompatibility.o ZipException.o ZipFile_stl.o ZipFileHeader.o \
ZipMemFile.o ZipPlatformComm.o \
ZipStorage.o ZipString.o ZipExtraData.o ZipExtraField.o \
DirEnumerator.o FileFilter.o Wildcard.o \
ZipCryptograph.o ZipCrc32Cryptograph.o \
Aes.o Hmac.o RandomPool.o ZipAesCryptograph.o Sha1.o

ifdef INTERNAL_BZIP2
	OBJS += $(BZIP2LOCATION)bzlib.o $(BZIP2LOCATION)blocksort.o $(BZIP2LOCATION)bzcompress.o $(BZIP2LOCATION)crctable.o\
	$(BZIP2LOCATION)decompress.o $(BZIP2LOCATION)huffman.o $(BZIP2LOCATION)randtable.o
endif

OBJP = ZipPathComponent_lnx.o ZipPlatform_lnx.o
#OBJP = ZipPathComponent_win.o ZipPlatform_win.o

$(ZIPARCHLIB): $(OBJS) $(OBJP) 
	$(AR) $@ $(OBJS) $(OBJP)
	-@ ($(RANLIB) $@ || true) >/dev/null 2>&1

adler32.o: zlib.h zconf.h
compress.o: zlib.h zconf.h
crc32.o: crc32.h zlib.h zconf.h
deflate.o: deflate.h zutil.h zlib.h zconf.h
inffast.o: zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
inflate.o: zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
infback.o: zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
inftrees.o: zutil.h zlib.h zconf.h inftrees.h
trees.o: deflate.h zutil.h zlib.h zconf.h trees.h
uncompr.o: zlib.h zconf.h
zutil.o: zutil.h zlib.h zconf.h

ifdef INTERNAL_BZIP2
	bzlib.o: bzlib.h bzlib_private.h
	blocksort.o: bzlib_private.h
	bzcompress.o: bzlib_private.h
	crctable.o: bzlib_private.h
	decompress.o: bzlib_private.h
	huffman.o: bzlib_private.h
	randtable.o: bzlib_private.h
endif

ZipArchive.o: ZipArchive.h
ZipAutoBuffer.o: ZipAutoBuffer.h
ZipCentralDir.o: ZipCentralDir.h
ZipCompressor.o: ZipCompressor.h
BaseLibCompressor.o: BaseLibCompressor.h
Bzip2Compressor.o: Bzip2Compressor.h
DeflateCompressor.o: DeflateCompressor.h
ZipCompatibility.o: ZipCompatibility.h
ZipException.o: ZipException.h
ZipFile_stl.o: ZipFile.h
ZipFileHeader.o: ZipFileHeader.h
ZipMemFile.o: ZipMemFile.h
ZipStorage.o: ZipStorage.h
ZipString.o: ZipString.h
ZipExtraData.o: ZipExtraData.h
ZipExtraField.o: ZipExtraField.h
DirEnumerator.o: DirEnumerator.cpp
FileFilter.o: FileFilter.cpp
Wildcard.o: Wildcard.cpp
ZipCryptograph.o: ZipCryptograph.h
ZipCrc32Cryptograph.o: ZipCrc32Cryptograph.h
Aes.o: Aes.h
Hmac.o: Hmac.h
RandomPool.o: RandomPool.h
ZipAesCryptograph.o: ZipAesCryptograph.h
Sha1.o: Sha1.h

ZipPathComponent_lnx.o: ZipPathComponent.h
#ZipPathComponent_win.o: ZipPathComponent.h

ZipPlatform_lnx.o: ZipPlatform.h
#ZipPlatform_win.o: ZipPlatform.h


LIBS = -lstdc++ -lziparch

ifndef INTERNAL_BZIP2
	LIBS += -lbz2
endif

clean:
	-rm -f *.o *~ $(ZIPARCHLIB) $(ZLIBLOCATION)*.o $(ZLIBLOCATION)*~ $(BZIP2LOCATION)*.o $(BZIP2LOCATION)*~

zippie:
	$(CC) -I$(zipardir) $(CFLAGS) -o zippie $(ZIPPIELOCATION)zippie.cpp $(ZIPPIELOCATION)CmdLine.cpp $(LIBS)
	#$(CC) -I$(zipardir) -L$(libdir) $(CFLAGS) -o zippie $(ZIPPIELOCATION)zippie.cpp $(ZIPPIELOCATION)CmdLine.cpp $(LIBS)

cleanzippie:
	-rm -f zippie
	#-rm -f zippie.exe

install:
	-@if [ ! -d $(includedir)  ]; then mkdir $(includedir); fi
	-@if [ ! -d $(libdir) ]; then mkdir $(libdir); fi
	-@if [ ! -d $(zipardir)  ]; then mkdir $(zipardir); fi
	-@if [ ! -d $(zlibdir)  ]; then mkdir $(zlibdir); fi
	cp libziparch.a $(libdir)
	chmod 755 $(libdir)/$(ZIPARCHLIB)
	cp *.h $(zipardir)
	chmod 644 $(zipardir)/*h
	cp $(ZLIBLOCATION)*.h $(zlibdir)
	chmod 644 $(zlibdir)/*h
ifdef INTERNAL_BZIP2	
	-@if [ ! -d $(bzip2dir)  ]; then mkdir $(bzip2dir); fi
	cp $(BZIP2LOCATION)*.h $(bzip2dir)
	chmod 644 $(bzip2dir)/*h
endif	
	
uninstall:
	rm -f $(zlibdir)/*h	
	rm -f $(zipardir)/*h	
	rm -f $(libdir)/$(ZIPARCHLIB)
	rmdir $(zlibdir)		
	
ifdef INTERNAL_BZIP2	
	rm -f $(bzip2dir)/*h
	rmdir $(bzip2dir)
endif
	rmdir $(zipardir)

=== debian/changelog ===
tuxcmd-modules (0.6.70+ds-6) unstable; urgency=medium

  * QA upload.
  * Actually apply a patch by Helmut Grohne to make it possible to cross-build
    tuxcmd-modules. This change was missing from the previous 0.6.70+ds-5.1
    upload; thanks to Vagrant Cascadian for spotting this. (Closes: #941296)

 -- Chris Lamb <lamby@debian.org>  Tue, 29 Nov 2022 09:41:07 +0000

tuxcmd-modules (0.6.70+ds-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply a patch by Vagrant Cascadian to ensure that tuxcmd-modules does not
    embed build paths in various binaries. (Closes: #1011500)
  * Apply a patch by Helmut Grohne to make it possible to cross-build
    tuxcmd-modules. (Closes: #941296)

 -- Chris Lamb <lamby@debian.org>  Thu, 17 Nov 2022 17:15:30 +0000

tuxcmd-modules (0.6.70+ds-5) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group
  * Bump Standards-Version to 3.9.4
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 10 May 2013 22:00:35 +0200

tuxcmd-modules (0.6.70+ds-4) unstable; urgency=low

  * Add fix-FTBFS-with-gcc-4.7.patch patch.
    Fix FTBFS with new GCC 4.7 and add GCC 4.7 compatibility.
    Thanks to Matthias Klose <doko@debian.org> for the report. (Closes: #667402)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 04 Apr 2012 22:15:48 +0200

tuxcmd-modules (0.6.70+ds-3) unstable; urgency=low

  * Add glib-single-include.patch patch.
    Include now glib.h directly as including individual glib headers has
    been deprecated. (Closes: #665622)
  * Update debian/copyright information.
    Update format url to refer to copyright-format 1.0. No changes needed to
    the format.
    Update copyright years for debian/* packaging.
  * Bump Debhelper compat level to 9.
    Adjust versioned Build-Depends on debhelper to (>= 9).
  * Bump Standards-Version to 3.9.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 24 Mar 2012 22:00:57 +0100

=== debian/control ===
Source: tuxcmd-modules
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), tuxcmd (>= 0.6.69),
 libarchive-dev, libbz2-dev, libglib2.0-dev, zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://tuxcmd.sourceforge.net

Package: tuxcmd-modules
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tuxcmd (>= 0.6.69)
Recommends: gvfs-backends
Description: VFS modules for tuxcmd file manager
 This package contains additional VFS modules for tuxcmd. It 
 provides the modules for GVFS and zip plugins.
 .
  * GVFS plugin: read/write access to network resources (FTP, 
    SSH/SFTP, SMB, WebDAV) 
  * zip plugin:
    - full read/write support for ZIP archives
    - full support for Unix file and directory permissions
    - password protection support (read/write)
  * libarchive plugin:
    - read-only support for tar, tar.gz, tar.bz2, iso (CD
      images/ISO9660), cpio, ar and deb archives

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
http://sf.net/tuxcmd/tuxcmd-modules-([\d\.]*)\.tar\.bz2
